'use strict';

exports.__esModule = true;
exports.default = CorePlugin;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _core = require('./core.utils');

var _core2 = require('./core.provider');

var _core3 = _interopRequireDefault(_core2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function CorePlugin($el, _ref) {
  var manifest = _ref.manifest,
      canvas = _ref.canvas,
      elucidateServer = _ref.elucidateServer,
      disableCloseWarning = _ref.disableCloseWarning,
      locale = _ref.locale,
      externalLocaleConfig = _ref.externalLocaleConfig,
      unknownProps = _objectWithoutProperties(_ref, ['manifest', 'canvas', 'elucidateServer', 'disableCloseWarning', 'locale', 'externalLocaleConfig']);

  (0, _core.unknownPropertyWarning)(unknownProps);
  var disableCloseWarningBoolean = disableCloseWarning ? disableCloseWarning === 'true' : false;

  return new Promise(function (resolve, err) {
    try {
      (0, _reactDom.render)(_react2.default.createElement(_core3.default, {
        locale: locale,
        manifest: manifest,
        disableCloseWarning: disableCloseWarningBoolean,
        elucidateServer: elucidateServer,
        canvas: canvas,
        externalLocaleConfig: externalLocaleConfig,
        onLoadStore: resolve
      }), $el);
    } catch (e) {
      err(e);
    }
  });
}
module.exports = exports['default'];